package org.osgeo.mapguide;


/**
 * Defines the types of coordinate system projection parameters
 *
 */
public class MgCoordinateSystemProjectionParameterType
{
   
/**
 * Not used.
 *
 */

   public static final int NotUsed = 0 ; 
   
/**
 * Central Meridian
 *
 */

   public static final int Cntmer = 1 ; 
   
/**
 * Northern Standard Parallel
 *
 */

   public static final int Nstdpll = 2 ; 
   
/**
 * Southern Standard Parallel
 *
 */

   public static final int Sstdpll = 3 ; 
   
/**
 * Standard Parallel
 *
 */

   public static final int Stdpll = 4 ; 
   
/**
 * First Great Circle Point Longitude
 *
 */

   public static final int Gcp1lng = 5 ; 
   
/**
 * First Great Circle Point Latitude
 *
 */

   public static final int Gcp1lat = 6 ; 
   
/**
 * Second Great Circle Point Longitude
 *
 */

   public static final int Gcp2lng = 7 ; 
   
/**
 * Second Great Circle Point Latitude
 *
 */

   public static final int Gcp2lat = 8 ; 
   
/**
 * Great Circle Point Longitude
 *
 */

   public static final int Gcplng = 9 ; 
   
/**
 * Great Circle Point Latitude
 *
 */

   public static final int Gcplat = 10 ; 
   
/**
 * Great Circle Azimuth
 *
 */

   public static final int Gcazm = 11 ; 
   
/**
 * Y axis azimuth
 *
 */

   public static final int Yaxisaz = 12 ; 
   
/**
 * Eastern Standard Meridian
 *
 */

   public static final int Estdmer = 13 ; 
   
/**
 * Northern Parallel
 *
 */

   public static final int Nparall = 14 ; 
   
/**
 * Southern Parallel
 *
 */

   public static final int Sparall = 15 ; 
   
/**
 * First pole longitude
 *
 */

   public static final int P1lng = 16 ; 
   
/**
 * First pole latitude
 *
 */

   public static final int P1lat = 17 ; 
   
/**
 * Second pole longitude
 *
 */

   public static final int P2lng = 18 ; 
   
/**
 * Second pole latitude
 *
 */

   public static final int P2lat = 19 ; 
   
/**
 * Distance between the poles.
 *
 */

   public static final int Adp1p2 = 20 ; 
   
/**
 * Angular distance to the first standard parallel
 *
 */

   public static final int Adsp1 = 21 ; 
   
/**
 * Angular distance to the second standard parallel
 *
 */

   public static final int Adsp2 = 22 ; 
   
/**
 * Complex Parameter A (n). Label string includes a %s for generation by sprintf.
 *
 */

   public static final int Cmplxan = 23 ; 
   
/**
 * Complex Parameter B (n). Label string includes a %s for generation by sprintf.
 *
 */

   public static final int Cmplxbn = 24 ; 
   
/**
 * Western end of Longitude range.
 *
 */

   public static final int Westll = 25 ; 
   
/**
 * Eastern end of Longitude range
 *
 */

   public static final int Eastll = 26 ; 
   
/**
 * UTM Zone Number
 *
 */

   public static final int Utmzn = 27 ; 
   
/**
 * North/South Hemisphere
 *
 */

   public static final int Hsns = 28 ; 
   
/**
 * Average Geoid Height
 *
 */

   public static final int Ghgt = 29 ; 
   
/**
 * Average Elevation
 *
 */

   public static final int Aelev = 30 ; 
   
/**
 * Oblique Pole Longitude
 *
 */

   public static final int Polelng = 31 ; 
   
/**
 * Oblique Pole Latitude
 *
 */

   public static final int Polelat = 32 ; 
   
/**
 * Oblique Cone Standard Parallel
 *
 */

   public static final int Ostdpll = 33 ; 
   
/**
 * Standard Circle Latitude
 *
 */

   public static final int Stdcir = 34 ; 
   
/**
 * Affine A0 Coefficient
 *
 */

   public static final int Afa0 = 35 ; 
   
/**
 * Affine B0 Coefficient
 *
 */

   public static final int Afb0 = 36 ; 
   
/**
 * Affine A1 Coefficient
 *
 */

   public static final int Afa1 = 37 ; 
   
/**
 * Affine A2 Coefficient
 *
 */

   public static final int Afa2 = 38 ; 
   
/**
 * Affine B1 Coefficient
 *
 */

   public static final int Afb1 = 39 ; 
   
/**
 * Affine B2 Coefficient
 *
 */

   public static final int Afb2 = 40 ; 
   
/**
 * Normal Parallel
 *
 */

   public static final int Nrmlpll = 41 ; 
   
/**
 * Danish System 24 Region
 *
 */

   public static final int Denrgn = 42 ; 
   
/**
 * cs_PRMCOD_SKWAZM - Skew Azimuth at Rectified Origin.
 *
 */

   public static final int Skwazm = 43 ; 
   
/**
 * X Coordinate of Scale/Rotate Origin
 *
 */

   public static final int Sclrotorgx = 44 ; 
   
/**
 * Y Coordinate of Scale/Rotate Origin
 *
 */

   public static final int Sclrotorgy = 45 ; 
   
/**
 * Cartesian Scale Factor
 *
 */

   public static final int Nrthscl = 46 ; 
   
/**
 * Cartesian Rotation Angle
 *
 */

   public static final int Nrthrot = 47 ; 
   
}

